## ros-indigo-flexbe-onboard 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(flexbe_onboard)

find_package(catkin REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

# specify catkin-specific information
# INCLUDE_DIRS - The exported include paths (i.e. cflags) for the package
# LIBRARIES - The exported libraries from the project
# CATKIN_DEPENDS - Other catkin projects that this project depends on
# DEPENDS - Non-catkin CMake projects that this project depends on
# CFG_EXTRAS - Additional configuration options 
catkin_package(
    INCLUDE_DIRS src
    LIBRARIES ${PROJECT_NAME})

# use add_library() or add_executable() as required
#add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})

# install executables
install(PROGRAMS bin/start_behavior
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-flexbe-onboard (1.1.2-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_onboard] Change input parsing warning to debug level
  * Merge pull request #70 <https://github.com/team-vigir/flexbe_behavior_engine/issues/70> from henroth/bugfix/fix_incorrect_warning_format
    Fix formatting error that crashes behavior construction
  * In certain cases if an input key has a weird value (such as 0_degrees) it can cause an exception that prevents the behavior from being built. This is due to incorrect formatting in a warning message. This fixes the warning message formatting
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Henry Roth, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-indigo-flexbe-onboard (1.1.1-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-indigo-flexbe-onboard (1.1.0-0trusty) trusty; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * State logger is optional and off by default
  * Merge pull request #59 <https://github.com/team-vigir/flexbe_behavior_engine/issues/59> from synapticon/feat_make_installable
    Fix issues of installed packages
  * fix: Change tmp directory to "/tmp"
    Do not store temporary files inside the package directory but in "/tmp".
    This is needed since the package directory is not writeable without root
    permission when the package is installed.
  * Merge branch 'develop' into feature/flexbe_app
    Conflicts:
    flexbe_mirror/src/flexbe_mirror/flexbe_mirror.py
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
    flexbe_widget/bin/flexbe_app
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Merge remote-tracking branch 'origin/master' into develop
    Conflicts:
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Merge remote-tracking branch 'origin/develop'
    Conflicts:
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Merge pull request #30 <https://github.com/team-vigir/flexbe_behavior_engine/issues/30> from ckchow/feature/json_decode
    use json parser to load data, remove whitespace, javascript object style
  * iterate over subdictionary to make sure sub-subdictionaries are converted
  * [flexbe_onboard] Remove dependency on addict and preserve conversion of primitive types
  * add javascript-style object conversion
  * use json parser to load data
  * [flexbe_onboard] [flexbe_widget] Removed old launch files
  * Find behaviors by export tag and execute via checksum
  * Merge branch 'automatic_reload' into develop
  * allow onboard reloading of the current behavior
  * flexbe_onboard: catch xml parsing error for manifests
  * Added comment suggestion to fix checksum mismatch error
  * Merge pull request #26 <https://github.com/team-vigir/flexbe_behavior_engine/issues/26> from jgdo/automatic_reload
    Automatic reload
  * automatic reload of imported behaviors upon sm creation
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_onboard] Show info on traceback when a behavior fails
  * Merge remote-tracking branch 'origin/master' into develop
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_onboard] Publish execution result in status args if FINISHED
  * Merge remote-tracking branch 'origin/master' into develop
  * Merge pull request #10 <https://github.com/team-vigir/flexbe_behavior_engine/issues/10> from team-vigir/cnurobotics
    Fix #11 <https://github.com/team-vigir/flexbe_behavior_engine/issues/11>
  * modify to read and allow parameterizing default behaviors_package in launch files
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_onboard] Skip empty parameter keys on behavior start
  * Provide option to set userdata input on behavior action calls
  * [flexbe_onboard] Fixed setting of namespaced behavior parameters
  * Merge remote-tracking branch 'origin/feature/multirobot'
  * Merge remote-tracking branch 'origin/master' into feature/multirobot
    Conflicts:
    flexbe_core/src/flexbe_core/core/monitoring_state.py
    flexbe_core/src/flexbe_core/core/operatable_state.py
  * [flexbe_onboard] Handle parameter keys without namespace specification
  * [flexbe_onboard] [flexbe_widget] Improved support for yaml files
  * [flexbe_onboard] Removed deprecated launch file
  * Changed absolute topic references to relative
  * [flexbe_onboard] [flexbe_mirror] Hide default SMACH transition log spamming
  * [flexbe_onboard] Removed deprecated flexbe_behaviors dependency and allow to set package name as parameter
  * Removed some old and unused project files
  * Initial commit of software
  * Contributors: Alberto Romay, Chris Chow, David Conner, Dorian Scholz, DorianScholz, Felix Widmaier, Mark Prediger, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 30 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-flexbe-onboard
Section: misc
Priority: extra
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/flexbe_onboard
Standards-Version: 3.9.2

Package: ros-indigo-flexbe-onboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-flexbe-core, ros-indigo-flexbe-msgs, ros-indigo-rospy, ros-indigo-smach-ros
Description: flexbe_onboard implements the robot-side of the behavior engine from where all behaviors are started.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-flexbe-onboard//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
